For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a memory store
      • GETList memory stores
      • PATCHUpdate a memory store
      • DELDelete a memory store
      • GETGet a memory store
      • POSTAttach a memory store to an agent
      • POSTDetach a memory store from an agent
      • GETGet data for a specific memory store and contact
      • POSTAttach a contact to a memory store
      • POSTDetach a contact from a memory store
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIMemory Stores

Create a memory store

||View as Markdown|
POST
/memory_stores
POST
/v2/memory_stores
$curl -X POST https://api.synthflow.ai/v2/memory_stores \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "title": "Inbound Healthcare Customers",
> "description": "Memory store for tracking healthcare customer interactions"
>}'
200Successful
1{
2 "status": "ok",
3 "response": {
4 "id": "9ad09ad3-9c22-441e-ae35-c05016a09786",
5 "title": "Inbound Healthcare Customers",
6 "description": "Memory store for tracking healthcare customer interactions"
7 }
8}
Was this page helpful?
Previous

List memory stores

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
titlestringOptional
Memory store name.
descriptionstringOptional
Memory store description.

Response

200
statusstring
responseobject